# Install

Instructions for installing Easegress from pre-built binaries or from source.

### Install pre-built binaries

The easiest way to install Easegress is by using pre-built binaries:

1. Download the appropriate compressed archive file for your platform from [Releases](https://github.com/megaease/easegress/releases).
2. Extract the contents of the archive, which will create a directory containing the binaries.
3. Add the extracted binaries to your system's path. You can either move and/or rename the binaries to a directory already in your path (such as /usr/local/bin), or add the newly created directory to your path.

From a shell, test that Easegress is in your path:

```bash
$ easegress-server --version
Easegress v2.6.1
```

### Build from source

1. Either download the Easegress repo as a ZIP file from [here](https://codeload.github.com/megaease/easegress/zip/refs/heads/main), or clone the repo with the following command:
    ```bash
    $ git clone https://github.com/megaease/easegress.git
    ```

2. Navigate to the Easegress directory:
    ```bash
    $ cd easegress
    ```

3. Execute the build script to generate the binaries, which will be placed in the `bin` directory:
    ```bash
    $ make
    ```

4. Add the `bin` directory to your system's path:
    ```bash
    $ export PATH="$PATH:`pwd`/bin" 
    ```

5. Verify that `easegress-server` has been successfully added to your path:
    ```bash
    $ easegress-server --version
    ```

> **Note**:
>
> - This repo requires Go 1.20+ compiler for the build.
> - If you need the WebAssembly feature, please run `make wasm`.

### Install via Systemd Service

To install the Systemd service, execute the following command:
```bash
$ /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/megaease/easegress/main/scripts/install.sh)"
```

### Install via Docker

1. Pull the latest image from Docker Hub:
    ```bash
    $ docker pull megaease/easegress:latest
    ```

2. Run the pulled image:
    ```bash
    $ docker run megaease/easegress
    ```
